QwtCompassWindArrow(3)

NAME
QwtCompassWindArrow -

An indicator for the wind direction.

SYNOPSIS

#include <qwt_dial_needle.h>

Inherits QwtDialNeedle.

  Public Types
enum Style { Style1, Style2 }

  Public Member Functions
virtual void draw (QPainter *, const QPoint &, int length, double direction, QPalette::ColorGroup=QPalette::Active) const
const QPalette & palette () const
QwtCompassWindArrow (Style, const QColor &light=Qt::white, const QColor &dark=Qt::gray)
virtual void setPalette (const QPalette &)

  Static Public Member Functions
static void drawStyle1Needle (QPainter *, const QPalette &, QPalette::ColorGroup, const QPoint &, int length, double direction)
static void drawStyle2Needle (QPainter *, const QPalette &, QPalette::ColorGroup, const QPoint &, int length, double direction)

  Static Protected Member Functions
static void drawKnob (QPainter *, const QPoint &pos, int width, const QBrush &, bool sunken)

Detailed Description

An indicator for the wind direction. QwtCompassWindArrow shows the direction where the wind comes from.

•   QColorGroup::Light
     Used for Style1, or the light half of Style2

•   QColorGroup::Dark
     Used for the dark half of Style2

See also:
    QwtDial, QwtCompass

Member Enumeration Documentation

  enum QwtCompassWindArrow::Style

Style of the arrow.

Constructor & Destructor Documentation

  QwtCompassWindArrow::QwtCompassWindArrow (Stylestyle, const QColor &light = Qt::white, const QColor &dark = Qt::gray) Constructor

Parameters:
    style Arrow style
    light Light color
    dark Dark color

Member Function Documentation

  void QwtCompassWindArrow::draw (QPainter *painter, const QPoint &center, intlength, doubledirection, QPalette::ColorGroupcolorGroup = QPalette::Active) const [virtual] Draw the needle

Parameters:
    painter Painter
    center Center of the dial, start position for the needle
    length Length of the needle
    direction Direction of the needle, in degrees counter clockwise
    colorGroup Color group, used for painting

Implements QwtDialNeedle.

  void QwtDialNeedle::drawKnob (QPainter *painter, const QPoint &pos, intwidth, const QBrush &brush, boolsunken) [static, protected, inherited]

Draw the knob.

  void QwtCompassWindArrow::drawStyle1Needle (QPainter *painter, const QPalette &palette, QPalette::ColorGroupcolorGroup, const QPoint &center, intlength, doubledirection) [static] Draw a compass needle

Parameters:
    painter Painter
    palette Palette
    colorGroup colorGroup
    center Center of the dial, start position for the needle
    length Length of the needle
    direction Direction of the needle, in degrees counter clockwise

  void QwtCompassWindArrow::drawStyle2Needle (QPainter *painter, const QPalette &palette, QPalette::ColorGroupcolorGroup, const QPoint &center, intlength, doubledirection) [static] Draw a compass needle

Parameters:
    painter Painter
    palette Palette
    colorGroup colorGroup
    center Center of the dial, start position for the needle
    length Length of the needle
    direction Direction of the needle, in degrees counter clockwise

  const QPalette & QwtDialNeedle::palette () const [inherited] Returns:
    the palette of the needle.

  void QwtDialNeedle::setPalette (const QPalette &palette) [virtual, inherited] Sets the palette for the needle.

Parameters:
    palette New Palette

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.